*Einfhrung in die Statistik: bungen mit Stata, WS 02/03
*Ben Jann, Institut fr Soziologie, Universitt Bern, jann@soz.unibe.ch

*Hinweis: Ausdruck der Datei "codebook.txt" erstellen, die eine bersicht
*ber die Codierungen gibt

 version 7.0
 clear                                 /* Speicher frei machen */
 set memory 1m                         /* Arbeitsspeicher definieren */
 set more off                          /* fortlaufende Ausgabe */
 capture log close                     /* ggf. offenes log file schliessen */
 cd Laufwerk:\Pfad                     /* Arbeitsverzeichnis festlegen */
 log using loesungen.txt, replace text /* Log-File ffnen */

 use arbeit98s                         /* Daten ffnen */
 for num -9/-1: mvdecode _all, mv(X)   /* negative Werte als Missings definieren */ 

*Aufgabe 3-6:**************************************************

 tabulate sex

*Aufgabe 3-7:**************************************************

 generate alter=98-a5j
 label variable alter "Alter in Jahren"
 tabulate alter

*Aufgabe 3-8:**************************************************

 bysort sex: tabulate g1

*Aufgabe 3-9:**************************************************

 tabulate i17

*Aufgabe 3-10:*************************************************

 tabulate i17 if alter<=30
 tabulate i17 if alter>30

 *oder:

 generate ueber30=alter>30 if alter!=.
 bysort ueber30: tabulate i17

*Aufage 3-11:**************************************************

 tabulate b29, gen(b29_)     /* Bildung von Indikatorvariablen */
 graph b29_*, bar mean
 drop b29_*

 *einfacher ('tabplot' ist allerdings nicht in der Standarddistribution
 *von Stata enthalten und muss nachtraeglich installiert werden):

 tabplot b29

*Aufgabe 3-12:*************************************************

 graph alter, hist

*verbessert (fr je 2 Jahre eine Sule):

 graph alter, hist b(27)

*Aufgabe 4-10:*************************************************

 *Arithmetisches Mittel, Standardabweichung, Min., Max.:

 summarize netinco if c1==1&netinco!=0

 *inkl. Varianz, Quantile, Schiefe, Wlbung etc.:

 summarize netinco if c1==1&netinco!=0, detail

 
*Aufgabe 4-11:*************************************************

 bysort sex: summarize netinco if c1==1&netinco!=0

 *weitere Moeglichkeiten (kompaktere Darstellung):

 tabulate sex if c1==1&netinco!=0, summarize(netinco)
 
 table sex if c1==1&netinco!=0, contents(mean netinco sd netinco n netinco)
 
 tabstat netinco if c1==1&netinco!=0, statistics(mean sd n) by (sex)
 
 *Box-Plot:

 sort sex
 graph netinco if c1==1&netinco!=0, box by(sex)
 graph netinco if c1==1&netinco!=0, oneway box ji(2) by(sex) /*inkl. Streudiagramm */

*Aufgabe 5-7:*************************************************

 *Tabelle mit abs. Hufigk. und Spaltenprozenten:

 tabulate b24 sex if c1!=4, col
 
 tabulate b24 sex if c1==1, col

*Aufgabe 5-8:************************************************* 

 generate altkat=recode(alter,30,50,71)
 label define altkat 30"18-30" 50"31-50" 71"51-71"
 label value altkat altkat
 tabulate altkat
 
 generate erwerb=inrange(c1,1,3) if c1!=.
 label define erwerb 1"erwerbsttig" 0"nicht erwerbsttig"
 label value erwerb erwerb
 tabulate erwerb

 tabulate erwerb altkat, col chi2 lrchi2 V

*Aufgabe 6-5:*************************************************

 tabulate b29 b30, gamma taub nofreq
 spearman b29 b30
 
 generate b30b=abs(5.5-b30)
 tabulate b30b
 tabulate b29 b30b, gamma taub nofreq
 spearman b29 b30b

*Aufgabe 6-6:*************************************************

 generate bildung=g1
 recode bildung 1=. 2=9 3=10 4=11 5=12 6=13 7=15 8=18 9=.
 label variable bildung "Bildungsjahre"
 tabulate bildung
 
 corr netinco alter bildung if c1==1&netinco!=0
 
*Aufgabe 7-10:************************************************

 *Signifikanztest (T-Test):

 sdtest netinco if c1==1&netinco!=0, by(sex)  /*F-Test fr Varianzen */
 robvar netinco if c1==1&netinco!=0, by(sex)  /*Robuste Tests fr Varianzen */
 
 *Hinweis: Da sdtest und robvar signifikant unterschiedliche Varianzen anzeigen,
 *wird ein T-Test fr ungleiche Varianzen verwendet:
 
 ttest netinco if c1==1&netinco!=0, by(sex) unequal 

*Aufgabe 7-11:************************************************

 tabulate b29 g1, col nofreq chi2
 
 *Ausschluss von "andere Ausbildung" zur Berechnung von ordinalen 
 *Zusammenhangsmassen:
 
 tabulate b29 g1 if g1!=9, nofreq chi2 taub gamma
 
*Aufgabe 7-12:************************************************

 tabulate b24 sex if c1!=4, col chi2 lrchi2 exact 

 tabulate b24 sex if c1==1, col chi2 lrchi2 exact 

*Aufgabe 7-13:************************************************

 median b29, by(sex)
 ranksum b29, by(sex)
 
 median b29 if inlist(g1,7,8), by(sex)
 ranksum b29 if inlist(g1,7,8), by(sex) 
 
*Aufgabe 8-4:*************************************************

 reg netinco alter if c1==1&netinco!=0
 reg netinco bildung if c1==1&netinco!=0
 reg netinco sex if c1==1&netinco!=0
 reg netinco alter bildung sex if c1==1&netinco!=0
 
*Mit standardisierten Koeffizienten (bei sex unsinnig, da dichotom):
 
 reg netinco alter bildung sex if c1==1&netinco!=0, beta
 
*Aufgabe 8-5:*************************************************

 quiet reg netinco alter if c1==1&netinco!=0
 predict yhat
 graph netinco yhat alter if c1==1&netinco!=0, symbol(o.) connect(.l) sort
 drop yhat
 
 quiet reg netinco bildung if c1==1&netinco!=0
 predict yhat
 graph netinco yhat bildung if c1==1&netinco!=0, symbol(o.) connect(.l) sort
 drop yhat
 
*einfacher ('scatter' ist allerdings nicht in der Standarddistribution
*von Stata enthalten und muss nachtraeglich installiert werden):

 scatter netinco alter if c1==1&netinco!=0
 scatter netinco bildung if c1==1&netinco!=0
  
*Aufgabe 8-6:*************************************************

 generate lny=ln(netinco) if netinco>0
 rename bildung educ
 generate exp=alter-educ-6.5
 replace exp=0 if exp<0
 generate exp2=exp^2
 generate lnh=ln(e14) if e14>0
 summarize lny educ exp exp2 lnh

 bysort sex: reg lny educ exp exp2 lnh

*Aufgabe 8-7:*************************************************

 *Hinweis: s17c und s17g sind umgekehrt gepolt.

 generate ub=((5-s17a)+(5-s17b)+(s17c-1)+(5-s17d)+(5-s17e)+ /*
  */ (5-s17f)+(s17g-1)+(5-s17h))*5/16
 label variable ub "Umweltbewusstsein"
 label define ub 0 "tief" 10 "hoch"
 label value ub ub
 summarize ub

 pwcorr ub b30, sig obs
 spearman ub b30
 regress ub b30
 
 
 capture log close
 exit
